Goof2014
Automotive
- Dec 5, 2013
- 9
Hello together,
I would like to add a suffix to an existing dimension. How could I add the text "x 30°"? The problem is the "° - degree" because the journal does not accept ascii code.
Thank you
Goof
I would like to add a suffix to an existing dimension. How could I add the text "x 30°"? The problem is the "° - degree" because the journal does not accept ascii code.
Thank you
Goof
Code:
Sub Main()
Dim dimension As NXOpen.Tag
While select_a_dimension(dimension) = Selection.Response.Ok
Dim dimObj As Annotations.Dimension = NXObjectManager.Get(dimension)
Dim appendedText As NXOpen.Annotations.AppendedText = _
dimObj.GetAppendedText()
Dim lines(0) As String
lines(0) = "x 30°"
appendedText.SetAfterText(lines)
dimObj.SetAppendedText(appendedText)
ufs.Modl.Update()
ufs.Disp.SetHighlight(dimension, 0)
End While
End Sub